require 'thor'
require 'documentation_world'
require 'httparty'

module DocumentationWorld
  class CLI < Thor
    def self.exit_on_failure?
      true
    end

    method_option :token, type: :string, aliases: '-t', required: true
    method_option :report, type: :string, aliases: '-r', required: true
    method_option :server_url, type: :string, aliases: '-s', default: "https://mnogotestov.ru"

    desc "send", "Sends report to server"
    def send
      raise 'File not exist' unless File.exist?(options[:report])

      file = File.open options[:report]

      request_options = {
        body: {
          token: options[:token],
          report: file
        }
      }

      response = HTTParty.post "#{options[:server_url]}/reports", request_options
    end
  end
end